Bug 132627 - XSLT engine rejects local stylesheets as MIME type deemed incorrect
XSLT engine rejects local stylesheets as MIME type deemed incorrect
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2004-09-15 05:39 EDT by Luke Ross
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:24:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 259206 None None None Never

  None (edit)
Description Luke Ross 2004-09-15 05:39:52 EDT
Using mozilla-1.7.2-0.2.0, an attempt to XSLT-process a local XML
document and stylesheet fails because the XSL stylesheet does not have
a text/xml mimetype. The mozilla installer picks up a MIME type for
stylesheets of text/x-xslt from the file
/usr/share/mime/packages/freedesktop.org.xml.
                                                                     
         
Local transformations cannot occur unless this file is edited and the
program "update-mime-database" is run to update the gnome configuration.

This bug was marked as a Fedora problem in the Mozilla bugzilla, bug
#259100.
Comment 1 Luke Ross 2004-09-28 06:33:33 EDT
It's worth taking a look at bug
https://bugzilla.mozilla.org/show_bug.cgi?id=259206 - whilst Mozilla
wouldn't fix this bug for this reason, it's been suggested that bug
259206 (inadvertently :-) changed this behaviour under Mozilla.
Comment 2 Matthew Miller 2005-04-26 12:10:53 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Luke Ross 2005-08-02 08:42:16 EDT
Still an issue under FC3 with mozilla-1.7.6-1.2.5. To fix this, the patch from 
https://bugzilla.mozilla.org/show_bug.cgi?id=259206 needs to be incorporated 
in. Hopefully one day it'll hit the mozilla trunk. 
Comment 4 Levin Fritz 2005-12-26 07:38:32 EST
Still an issue under fc5test1 with mozilla and epiphany. It's fixed for firefox,
though.

/usr/share/mime/packages/freedesktop.org.xml now assigns application/xslt+xml to
XSLT stylesheets. That mime type is defined in RFC 3236
(http://www.faqs.org/rfcs/rfc3236.html) but it's not listed in the IANA's
registry of mime types (http://www.iana.org/assignments/media-types/application/).
Comment 5 Matthew Miller 2006-07-10 17:27:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 09:24:50 EST
It looks like this is fixed for firefox and probably fixed for seamonkey
according to the upstream bug report.  It won't get fixed for mozilla 1.7.x,
according to upstream.  Closing the bug.  If it still occurs in, say, epiphany,
please file another bug or change the component to epiphany.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.